For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
      • Custom Field Schemas
      • Shared Custom Fields
        • GETList Shared Custom Fields
        • POSTCreate a new Shared Custom Field
        • GETFetch Shared Custom Field's details
        • PUTUpdate a Shared Custom Field
        • DELDelete a Shared Custom Field
        • POSTAssociate a Shared Custom Field with an object type
        • GETFetch a Shared Custom Field Association
        • PUTUpdate an existing Shared Custom Field Association
        • DELDisassociate a Shared Custom Field from an object type
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM ConfigurationCustom FieldsShared Custom Fields

Associate a Shared Custom Field with an object type

||View as Markdown|
POST
https://api.close.com/api/v1/custom_field/shared/:scf_id/association/
POST
/api/v1/custom_field/shared/:scf_id/association/
$curl -X POST https://api.close.com/api/v1/custom_field/shared/scf_id/association/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "editable_with_roles": [],
> "object_type": "lead",
> "required": false
>}'
1{
2 "editable_with_roles": [],
3 "object_type": "lead",
4 "required": false
5}
Associates a Shared Custom Field with an object type such as Lead, Contact, or Custom Activity Type. Once associated, the Shared Custom Field can be set on objects of that type. This endpoint accepts the following attributes: - `object_type` – can be one of: `lead`, `contact`, `opportunity`, `custom_activity_type`, `custom_object_type`. - `custom_activity_type_id` – ID of the Custom Activity Type that you want to associate this Shared Field with. Only relevant if you chose the `object_type` of `custom_activity_type`. - `custom_object_type_id` – ID of the Custom Object Type that you want to associate this Shared Field with. Only relevant if you chose the `object_type` of `custom_object_type`. - `editable_with_roles` – list of [Roles](https://developer.close.com/api/resources/roles) that can edit the values of this Field on the given object. Note that this is a per-association setting, meaning that editing of the Shared Custom Field can be restricted on one object and not restricted on another. - `required` – whether a value *must* be provided for this Field on the given object. Only relevant if you chose the `object_type` of `custom_activity_type` or `custom_object_type`. Note that this is a per-association setting, meaning that this Shared Custom Field can be required on one object and not required on another.
Was this page helpful?
Previous

Delete a Shared Custom Field

Next

Fetch a Shared Custom Field Association

Built with

Associates a Shared Custom Field with an object type such as Lead, Contact, or Custom Activity Type. Once associated, the Shared Custom Field can be set on objects of that type.

This endpoint accepts the following attributes:

  • object_type – can be one of: lead, contact, opportunity, custom_activity_type, custom_object_type.
  • custom_activity_type_id – ID of the Custom Activity Type that you want to associate this Shared Field with. Only relevant if you chose the object_type of custom_activity_type.
  • custom_object_type_id – ID of the Custom Object Type that you want to associate this Shared Field with. Only relevant if you chose the object_type of custom_object_type.
  • editable_with_roles – list of Roles that can edit the values of this Field on the given object. Note that this is a per-association setting, meaning that editing of the Shared Custom Field can be restricted on one object and not restricted on another.
  • required – whether a value must be provided for this Field on the given object. Only relevant if you chose the object_type of custom_activity_type or custom_object_type. Note that this is a per-association setting, meaning that this Shared Custom Field can be required on one object and not required on another.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

scf_idstringRequired

Request

This endpoint expects any.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error